<?php

/**
 * 1sdk 配置信息
 */
class config_for_1sdk
{

    /**
     * @var string cp在1sdk后台注册的应用ID
     */
    public $appid = '9CC593E3F33FF8B2';

    /**
     * @var string 与1sdk约定的秘钥
     */
    public $appkey = 'TY8KW4F5POJCNXGFZ71SBRA3BMPWTFOY';

    /**
     * @var string 1sdk后台验证登录状态的地址
     */
    public $verifySession_url = 'http://sync.1sdk.cn/login/check.html';

    /**
     * @var string 1sdk后台验证登录状态时的请求方式(get)
     */
    public $verifySession_method = 'get';

    /**
     * configs for 1sdk
     * @return config_for_1sdk Description
     */
    static function Inst()
    {
        return new config_for_1sdk();
    }

    /**
     * 易接签名算法
     * @param type $params
     * @return type
     */
    function getSign_1sdk($params)                                             # 1sdk签名算法
    {
        unset($params['sign']);
        ksort($params);                                                         # 除sign以外的所有字段, 字典排序
        $arr = array();
        foreach ($params as $key => $val) {
            array_push($arr, $key . '=' . $val);                                # 排序后的数组
        }
        $query_string = join('&', $arr);                                        # 重新拼接为字符串
        $source = $query_string . $this->appkey;                                # 拼接上约定的秘钥
        return md5($source);                                                    # 取md5值
    }

}
